# PROJECTE: Llums del cotxe

**Membres del grup**: Aleix Ferrer, Adrik Galitó 

## Objectiu

El principal objectiu és dissenyar un sistema de llums el qual sigui capaç d'encendre, apagar,
encendre automàticament amb un sensor i utilitzar un servomotor per poder netejar els fars del
cotxe.

### Etapes del projecte
Aquest projecte s'ha dividit en diferents etapes, les quals són:
- Diagrama de blocs
- Components
- Placement
- Routing
- Entrega
- Muntatge
- Soldadura
- Test de la PCB

## Requisits / Especificacions
El projecte consisteix en la creació d'un sistema d'il·luminació per a vehicles mitjançant l'ús del microxip PIC18F258. Aquest sistema estarà equipat amb sensors per detectar canvis en les condicions ambientals i ajustar la intensitat de les llums en conseqüència.

Els drivers de potència incorporats en el sistema garantiran un control precís i eficaç de la intensitat de les llums, així com un consum energètic òptim.

A més a més, s'ha incorporat un servomotor per netejar els fanals de manera eficaç i mantenir-los sempre en òptimes condicions per a una visibilitat clara i segura en tot moment. El sistema serà fàcil d'utilitzar i proporcionarà un alt rendiment i fiabilitat en la seva funció d'il·luminació i neteja automàtica.

## Diagrama de blocs
![Diagrama](https://github.com/aleiix9/ProjecteLlum/blob/main/Diagrama_Blocs.png?raw=true)




## Components
| Ref. | Descripció| Datasheet |
| ------ | -----------------| ------------------|
Microntrolador|PIC18F258|  [datasheet](https://www.snapeda.com/parts/PIC18F258-I/SO/Microchip/datasheet/)|
|
Sensor I2C | TSL2561 |[datasheet](https://ams.com/documents/20143/36005/TSL2561_DS000110_3-00.pdf/18a41097-2035-4333-c70e-bfa544c0a98b)|
|
Driver Leds x4 | ULN2803A |[datasheet](https://www.st.com/resource/en/datasheet/uln2804a.pdf)|
|
Driver Servomotor | DRV8210DSGR |[datasheet](https://www.ti.com/lit/ds/symlink/drv8210.pdf?ts=1614758859747&ref_url=https%253A%252F%252Fwww.mouser.in%252F)|
|
Relé Intermitents | NE555DR |[datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/117367/NEC/NE555DR.html)|
|
Selector | EC11E09244BS |[datasheet](https://componentsearchengine.com/Datasheets/2/EC11E09244BS.pdf)|
|
Díode Zener de protecció | BZX55C24 |[datasheet](https://s3.amazonaws.com/snapeda/datasheetsdatasheet-1.pdf)|
|
Switch Servomotor| B3F-1000 |[datasheet](https://omronfs.omron.com/en_US/ecb/products/pdf/en-b3f.pdf)|
|
Transceiver CAN | TCAN330 |[datasheet](https://www.ti.com/lit/ds/symlink/tcan337.pdf)|
|
Oscil·lador| XTAL |[datasheet](https://www.ti.com/lit/ds/symlink/msp430f415.pdf?ts=1680074353880&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FMSP430F415%253FDCM%253Dyes%2526utm_source%253Dsupplyframe%2526utm_medium%253DSEP%2526utm_campaign%253Dnot_alldatasheet%2526dclid%253DCImpvtXMgP4CFdbc1Qod4k4Kig)|
|
Regulador de Tensió| LM1117-ADJ |[datasheet](https://www.ti.com/lit/ds/symlink/lm1117.pdf)|
|
Switch| B3F-1022 |[datasheet](https://pdf1.alldatasheet.es/datasheet-pdf/view/427653/OMRON/B3F-1022.html)|
|
Díode| LTST-C191KFKT |[datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/1146762/TO-GRACE/C191KFKT.html)|
|
Servomotor| SG90 |[datasheet](http://www.ee.ic.ac.uk/pcheung/teaching/DE1_EE/stores/sg90_datasheet.pdf)|

Les resistències són SMD, al igual que les capacitats.

## Simulacions
S'han realitzat simulacions dels dos reguladors de tensió per asegurar-nos que ens proporcionaven una tensió correnta. A més, també hem realitzat simulacions del relé per veure si ens proporcionava una senyal quadrada d'1 segon per veure si els intermitents podien parpadejar.
La simulació la vam fer amb el Timer555, el qual mirant el datasheet vam mirar quina era la configuració més encertada.

## PCB renderitzada en 3D
![PCB part frontal](https://github.com/aleiix9/ProjecteLlum/blob/main/image.png?raw=true)
![PCB part darrera](https://github.com/aleiix9/ProjecteLlum/blob/main/image2.png?raw=true)



## Historial de canvis

| DATA | AUTOR | DESCRIPCIÓ |
| ------ | -----------------| ------------------|
 28/03/2023| Aleix Ferrer | Canvis de components i V1 d'esquemàtic|
|02/04/2023| Aleix Ferrer i Adrik Galitó |V2 d'esquemàtic|
|04/04/2023| Adrik Galitó |V2.1 d'esquemàtic|
|11/04/2023| Aleix Ferrer |V3 d'esquemàtic i V1 de placement i tooting. Canvi total d'esquemàtic|
|18/04/2023| Adrik Galitó |V2 de rooting, s'ha tornat a fer un placement|
|24/04/2023| Aleix Ferrer |V3 de placement, s'ha tornat a fer un placement nou degut als comentaris dels professors i s'han canviat els connectors de programació de l'esquemàtic|
|26/04/2023| Adrik Galitó i Aleix Ferrer |Powerpoint/informe fet i PCB acabada llesta per la entrega final|